/Users/bernard/b20/bsoft/src/bmatch.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bmatch.cpp - Program to search an image with multiple projections and orient them.

SYNOPSIS

#include 'rwimg.h'
#include 'rwmodel.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'

  Functions
Bmodel * img_match (Bimage *p, Bimage *pref, double res_hi, double res_lo, double angle_inc, double threshold, long exclusion, double mask_rad)
Bmodel * img_match_one (Bimage *p, long img_num, Bimage *pref, double res_hi, double res_lo, double angle_inc, double threshold, long exclusion, double mask_rad, fft_plan planf, fft_plan planb)
int main (int argc, char **argv)
Bimage * img_reference_prepare (Bimage *pref, long nn, Vector3< long > size)

  Variables
int verbose
const char * use []

Detailed Description

Program to search an image with multiple projections and orient them.

Author:
    Bernard Heymann

Date:
    Created: 20170720

    Modified: 20190821

clang++ -o bin/bmatch src/bmatch.cpp -I. -I/usr/local/include -I/Users/bernard/b20/bsoft/include -L/Users/bernard/b20/bsoft/lib -lbsoft -DHAVE_FFTW3 -std=c++11 -I/Users/bernard/b20/fftw-3.3.6-pl2/include

Definition in file bmatch.cpp.

Function Documentation

  Bmodel * img_match (Bimage * p, Bimage * pref, double res_hi, double res_lo, double angle_inc, double threshold, long exclusion, double mask_rad)

Definition at line 167 of file bmatch.cpp.

  Bmodel * img_match_one (Bimage * p, long img_num, Bimage * pref, double res_hi, double res_lo, double angle_inc, double threshold, long exclusion, double mask_rad, fft_plan planf, fft_plan planb)

Definition at line 205 of file bmatch.cpp.

  Bimage* img_reference_prepare (Bimage * pref, long nn, Vector3< long > size)

Definition at line 188 of file bmatch.cpp.

  int main (int argc, char ** argv)

Definition at line 56 of file bmatch.cpp.

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: bmatch [options] img.mrc cc.map",
"--------------------------------------",
"Searching an image with a set of 2D templates/references",
"Orientations are taken from the input projections.",
" ",
" ",
"Parameters:",
"-verbose 7               Verbosity of output.",
"-datatype u              Force writing of a new data type.",
"-sampling 2,3.5,1        Sampling before rescaling (angstrom/voxel, a single value sets all three).",
"-resolution 25,200       Resolution limits (angstrom).",
"-angle 2.5               Angular increment (default 3 degrees).",
"-origin 0.8,-10,15.7     Set the origin (default from input image).",
"-threshold 0.24          Threshold to find correlation peaks.",
"-exclusion 150           Minimum distance between correlation peaks.",
"-radius 50               Mask radius (slightly bigger than particle).",
" ",
"Input:",
"-reference file.pif      Input reference projections file.",
" ",
"Output:",
"-output newmod.star      New model file.",
" ",
NULL
}

Definition at line 26 of file bmatch.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.